Subject: Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )
From: "Michael H. Siemaszko" <[email-masked]>
To: Levent Gürgen <[email-masked]>
Date: Mon, 09 Sep 2024 21:33:13 +0000

Hi Levent,

We agreed on goal for this short-term project, which is: Implementation of "160. Feature Launcher Service Specification" ( "OSGi Compendium", Release 8.1; page 93 of https://www.eclipse.org/lists/osgi-dev/pdf4su7jtjIaR.pdf ), including demo project.

We also agreed on the deadline, i.e. no later than October 22nd, considering demo project will also be provided.

We talked about time & material so far, and work done on the basis of short-term contract.

We also agreed on weekly checks of progress, which I will provide in written form in addition to weekly call Tim mentioned.

Unfortunately, I do not know how much time I will have to put in to make this work, but I know I have to make it by deadline.

Considering I intially applied to https://kentyou.com/2021/08/20/java-developer/, I prepared two contracts ( attached ), which you can compare side by side, including rate. Please make sure to see comments I added to both documents, as well as last page ( "EXHIBIT A" ) where rate is discussed.

Please let me know if we can schedule a quick call tomorrow ( 10.09 ) during which we can discuss any remaining items so this formal part is finalized and I can focus on software part.

Regards,

--
Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]
WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/
Twitter: https://twitter.com/IntoSoftware/

On 9/9/24 16:16, Levent Gürgen wrote:

Hi Michael,

Thanks for your email.

Do you have an estimation about how much time it can take for you to implement it?

Best,

Levent

De : Michael H. Siemaszko <[email-masked]>
Date : lundi, 9 septembre 2024 à 15:30
À : Levent Gürgen <[email-masked]>
Objet : Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Hi Levent,

Tim replied to me and I just replied back - please see earlier message ( sent few minutes ago ).

I have all info needed at this stage, so it looks like we're ready to start.

Please let me know if I should prepare contract then. Provided we finalize with these formalities by tomorrow, I could start tomorrow ( Tuesday, September 10th ) or the day after ( 11.09 ).

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On 9/6/24 16:43, Levent Gürgen wrote:

Thanks Michael, email well received.

We come back to you on Monday.

Have a nice weekend

Levent

De : Michael H. Siemaszko <[email-masked]>
Date : vendredi, 6 septembre 2024 à 15:31
À : Levent Gürgen <[email-masked]>
Objet : Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Hi Levent,

Just to quickly summarize our call few minutes ago:

- you confirmed you received my email from September 5th ( see below );

- you said Tim is off this week and will be able to reply on Monday;

- you mentioned deadline coincides with OSGi summit at OCX 2024, Mainz, Germany, which takes place on October 22nd, 2024;

If you have any other questions regarding formalities, please let me know so we're ready to start ASAP, as you mentioned we need.

Kindly please confirm you received this message - unfortunately, there is a problem with electronic communication, hence my call to confirm..

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On 9/5/24 01:43, Michael H. Siemaszko wrote:

Hi Levent,

To answer your question:

- the contract with Data In Motion I shared with you after our call few weeks ago ( see my email from August 8th, 2024, also re-attaching to this email ) specified daily rate of 360 EUR which is 45 EUR / hour - however, that was 1 year ( long term ) contract, executed over a year ago ( June 2023 );

- for one-off short term engagements ( less than 3 months ), but longer than few hours work ( as implementing this will take more than a day most definitely ), I can offer your 450 EUR / day daily rate - that is my regular hourly rate of 75 EUR multiplied by 8 hours minus 25% discount, i.e. 56.25 EUR / hour;

- I can offer you further discount for longer term ( i.e. 3 months or longer ) contracts;

Please let me know if should prepare such short term time&material contract and I will take care of what is needed to start early next week.

Also, I have not heard from Tim yet ( as of 1:30 AM 5.09.2024 ) - hopefully he can respond today, this way I have all info needed, at least for this initial phase ( scope, deadline ).

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On 9/4/24 17:34, Levent Gürgen wrote:

Hi Michael,

Thanks for your quick reply.

Tim will respond to you for the technical questions and the timeline.

Could you please provide me the hourly rate you would foresee for this short term mission ?

Thanks

Levent

De : Michael H. Siemaszko <[email-masked]>
Date : mercredi, 4 septembre 2024 à 03:20
À : Levent Gürgen <[email-masked]>
Cc : Timothy Ward <[email-masked]>
Objet : Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Hi!

Thank you very much for reaching out. I understand it was August / holiday time, hence the silence after our call several weeks ago. I'm glad I can be of help!

Few questions to start with:

a) Is it "159. Feature Specification" ( page 71 of https://www.eclipse.org/lists/osgi-dev/pdf4su7jtjIaR.pdf ) or "160. Feature Launcher Service Specification" ( page 93 of https://www.eclipse.org/lists/osgi-dev/pdf4su7jtjIaR.pdf ) or both ? You mention "OSGi Feature Specification", then refer to "OSGi Feature Launcher Service Specification", so it is not clear;

b) If this was a long term contract, billing would be monthly, per daily rate; since we do not have a long term contract yet, billing would be weekly, per hourly rate, which is higher than in long term contract - either way, it is time & material; also, that implies a B2B form of contract - is that something you are comfortable with and should I prepare such short term time & material contract then ?

c) You mentioned you want to start ASAP, but how soon you need this done ? I need to know as I have other things going on and could devote 20-32 hours per week, depending on how soon this needs to be done;

I could start early next week, provided we can get formalities taken care of until then.

Kind regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On Tuesday, September 3rd, 2024 at 10:46 PM, Levent Gürgen <[email-masked]> wrote:

Hi Michael,

Thanks for your email and sorry for my late reply.

We have been discussing internally and we think that we may have an immediate opportunity of collaboration with you under a concrete implementation task.

It is about the implementation of the OSGi Feature Specification

The latest updates and comments for the Feature Launcher specification can be found at https://github.com/osgi/osgi/pull/699

The actual API classes are available at https://github.com/osgi/osgi/tree/design/386/org.osgi.service.featurelauncher

A PDF copy of the specification draft can be found at https://www.eclipse.org/lists/osgi-dev/pdf4su7jtjIaR.pdf

We would ideally like to start as soon as possible.

Would this be something you would be interested in helping us for?

We can discuss about details if you are interested.

All the best,

Levent

De : Michael H. Siemaszko <[email-masked]>
Date : mercredi, 14 août 2024 à 14:29
À : Timothy Ward <[email-masked]>
Cc : Levent Gürgen <[email-masked]>, Thomas CALMANT <[email-masked]>
Objet : Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Hello,

Thank you for the call yesterday.

If I can be of help, or if you have any additional questions - perhaps on more problem-solving level ( please see https://ideas.into.software/case-studies/ for a lot of such examples, i.e. problems which had to be solved ) - please do not hesitate to get in touch.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On 8/9/24 10:50, Timothy Ward wrote:

Hi Michael,

I’m glad that time works for you - I’ve send a Teams meeting invite for Tuesday at 1530. We don’t normally use a live coding session for candidates with a GitHub portfolio demonstrating that they can code, so it will be a more general/theoretical interview. There’s no need to prepare a development environment.

I look forward to speaking with you on Tuesday.

All the best,

Tim

On 8 Aug 2024, at 23:37, Michael H. Siemaszko <[email-masked]> wrote:

Hi Tim,

Thank you - I appreciate your interest in working together.

Tuesday ( 13.08 ) at 15:30 CET would work for me.

Should I prepare any specific environment for that meeting - e.g. you require a live coding session ? I am fresh off working for 3 years on a very similar position ( https://kentyou.com/2021/08/20/java-developer/), as you may know, but there are a multitude of technologies this touches upon. So, if possible, please let me know if any up-front environment set up is required / areas you're most interested in.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On 8/8/24 17:55, Timothy Ward wrote:

Hi Michael,

I’m glad to hear that your first interview went well - the next interview will be more technical, and we should be able to fit it in next week.

Would you be free to meet (virtually) on Tuesday between 1030 and 1200, or 1530 to 1630? If Wednesday would be better then we could also make 1030-1200 then as well.

All the best,

Tim Ward

On 8 Aug 2024, at 15:15, Levent Gürgen <[email-masked]> wrote:

Thanks Michael for the call today and the information you sent.

Tim will contact you to setup another interview for early next week.

All the best,

Levent

De : Michael H. Siemaszko <[email-masked]>
Date : jeudi, 8 août 2024 à 15:39
À : Levent Gürgen <[email-masked]>
Objet : Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Hi Levent,

Attached please find example of most recent contract, with Data in Motion; as explained, we extended twice, worked together for 3 years.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On Thursday, August 8th, 2024 at 3:24 PM, Michael H. Siemaszko <[email-masked]> wrote:

Hi Levent,

Thank you for the call today. As agreed, I am attaching testimonial from Juergen Albert / Data in Motion, received after 1st year of working together.

I will follow up with examples of contracts - I need to redact them first / remove some details which I cannot share from them first.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On Wednesday, August 7th, 2024 at 5:23 PM, Michael H. Siemaszko <[email-masked]> wrote:

Hi Levent,

I confirm our meeting, scheduled for 2 PM CET tomorrow ( 8.08 ).

Thank you and see you tomorrow.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On Wednesday, August 7th, 2024 at 4:25 PM, Levent Gürgen <[email-masked]> wrote:

Hi Michael,

Thanks. I am sending a calendar invite for tomorrow 8th 2pm then.

You can let me know if it does not work for you.

Thanks and see you tomorrow!

Levent

De : Michael H. Siemaszko <[email-masked]>
Date : mercredi, 7 août 2024 à 15:49
À : Levent Gürgen <[email-masked]>
Cc : Hello Kentyou <[email-masked]>
Objet : Re: Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Dear Levent,

Thank you very much for your reply. Yes, tomorrow ( 8.08 ) afternoon would suit me. On Friday ( 9.08 ), I'd be available in the afternoon as well.

What time in the afternoon would work for you ? I am available any time starting from 2:00 PM CET until late evening hours.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: https://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: https://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On Wednesday, August 7th, 2024 at 10:55 AM, Levent Gürgen <[email-masked]> wrote:

Dear Michael,

Thanks for your interest to our open position.

Would you be available for a quick interview tomorrow afternoon or on Friday late morning?

Best regards,

Levent

Levent Gürgen, PhD

Founder & President

+33 6 32 16 17 01

https://kentyou.com/

De : Michael H. Siemaszko <[email-masked]>
Date : vendredi, 2 août 2024 à 04:21
À : Hello Kentyou <[email-masked]>
Objet : Java Developer and Platform Engineer ( Re: Kentyou are hiring! )

Hello,

This is in regards to "Java Developer and Platform Engineer" position you advertise on https://kentyou.com/2021/08/20/java-developer/.

Attached please find my CV, in both chronological and functional form; also please see https://ideas.into.software/case-studies/ for sample of projects I’ve worked on.

I have extensive experience with OSGi, in addition to matching most of the requirements listed for this position ( https://kentyou.com/2021/08/20/java-developer/ ); for details, please see attached CVs.

If I can be of help, or if you have any questions, please do not hesitate to get in touch.

Regards,

--

Michael H. Siemaszko

Ideas Into Software LLC

Telegram: mhsiemaszko

Email: [email-masked]

WWW: http://ideas.into.software/

GitHub: https://github.com/ideas-into-software/

LinkedIn: http://www.linkedin.com/in/mhsiemaszko/

Twitter: https://twitter.com/IntoSoftware/

On 9/13/23 18:58, Tim Ward wrote:

Hi all,

Are you (or someone you know) looking for a new role? Kentyou are currently looking for experienced Java developers, Full stack engineers and Data Analysts.

Kentyou is a startup company aiming to turn cities into more sustainable, innovative, and citizen-centric environments to live and work in. We do this by enabling simple access to new and existing IoT data sources, as well as through improved data processing, visualisation and Machine Learning tools. We use OSGi technology in our products and in our open source contributions, as well as actively participating in the Eclipse OSGi working group.

If you’re interested then please do get in touch via our website at https://kentyou.com/about-us/join-us/ - we’d love to hear from you!

Best wishes,

Tim Ward

CTO Kentyou